Quotes

The Top of Order Book API returns the current best bid and offer for a specified bond.

If the specified bond exists in our universe, you will receive a response with all available data regarding the best bid and best ask. For example, if there are only asks and no bids for a given bond, the response will contain data for the ask-related fields, while the bid-related fields will all be null. If there are neither bids nor asks, the response will contain null values for all ask and bid fields. Moment will provide data on yields to maturity and yields to worst as available, however, Moment can not guarantee that these yields will be available for all bonds. If yields are not available, the response will contain null values for yield-related fields.

If the specified bond does not exist in our universe or is inactive, you will receive a not_found error. If the bond is not tradeable, you will receive a bad_request error.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Instrument CUSIP or ISIN

Query Params
string

The risk group ID to use for this quote. A risk group is required for fees and yields to be accurately reflected in the return. If a risk group is not provided, and a single risk group exists for your organization, it will be used as the default risk group. If a risk group is not provided, and more than one risk group exists, the request will fail.

string

Trade size for the quote. Filters to best bid/ask where minimum trade size is less than or equal to the given numeric value. Optionally, set value to "lowest" for best bid/ask for the smallest trade size on either side.

For example, assume bids {bid_price: 100, bid_min_size: 5000}, {bid_price: 99, bid_min_size: 2000}, and {bid_price: 98, bid_min_size: 1000} are available. Querying with trade_size=3000 returns the {bid_price: 99, bid_min_size: 2000} bid. Querying with trade_size="lowest" returns the {bid_price: 98, bid_min_size:1000} bid."

boolean

Do not include fees in the response.

Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json